const int knockPin = 3;     // op 3 de knock sensor pin
const int ledPin =  13;      // op 13  LED pin

// variabelen die wisselen:
int buttonState = 0;         // variabelen om de knock sensor status uit te lezen

void setup() {
  // initialiseer de LED pin als een output:
  pinMode(ledPin, OUTPUT);      
  // initialiseer de knock sensor pin als een input:
  pinMode(knockPin, INPUT);     
}

void loop(){
  // lees de knock sensor waarde:
  buttonState = digitalRead(knockPin);

  // kijk of er op de knock wordt gedrukt.
  // als dat zo is, dan HIGH:
  if (buttonState == HIGH) {     
    // zet led aan:    
    digitalWrite(ledPin, LOW);  
  } 
  else {
    // zet led uit:
    digitalWrite(ledPin, HIGH); 
  }
}
